Skip to content
BleemeoBleemeo

List schedule items

GET
/v1/scheduleitem/
curl --request GET \
--url https://example.com/v1/scheduleitem/ \
--header 'Authorization: Bearer <token>'

Return all schedule items for the current account.

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>
object
id
required
string format: uuid
override
boolean
schedule_from
required
string format: date-time
schedule_to
required
string format: date-time
notification_targets
Array<string>
escalation_item
required
string format: uuid
contacts_groups
Array<string>
all_targets
boolean
Example
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}